<form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm"><div class="main-content pad">
 <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">edit</i>
	                        </div>
           						 <h2 id="jhi-besar-bayar-heading" jhiTranslate="sisteminformasiakademikApp.besarBayar.home.createOrEditLabel">Create or edit a Besar Bayar</h2>
					</div>
    
                <jhi-alert-error></jhi-alert-error>

    		<div class="card-body">
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.besarBayar.nominal" for="field_nominal">Nominal</label>
                    <input type="number" class="form-control" name="nominal" id="field_nominal"
                           formControlName="nominal"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.besarBayar.kelas" for="field_kelas">Kelas</label>
                    <select class="form-control" id="field_kelas" name="kelas" formControlName="kelas">
                        <option [ngValue]="kelasOption.id === editForm.get('kelas')!.value?.id ? editForm.get('kelas')!.value : kelasOption" *ngFor="let kelasOption of kelas; trackBy: trackById">{{ kelasOption.nama }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.besarBayar.jenisBayar" for="field_jenisBayar">Jenis Bayar</label>
                    <select class="form-control" id="field_jenisBayar" name="jenisBayar" formControlName="jenisBayar">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="jenisPembayaranOption.id === editForm.get('jenisBayar')!.value?.id ? editForm.get('jenisBayar')!.value : jenisPembayaranOption" *ngFor="let jenisPembayaranOption of jenispembayarans; trackBy: trackById">{{ jenisPembayaranOption.jenis }}</option>
                    </select>
                </div>
            </div>
            <div class="text-center"> 
                <button mat-raised-button type="button" id="cancel-save" class="btn btn-danger btn-fill"   (click)="previousState()">
                    <i class="material-icons">block</i>&nbsp;<span
				                    jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button mat-raised-button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill">
                     <i class="material-icons">save</i>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
            <br>
    </div>
</div>
</div>
</div>
</div>
</form>
